Really stuck on DSi XL Cards

Discussion in 'NDS - Flashcarts and Accessories' started by Dave_Chad, Jun 29, 2016.

  1. Dave_Chad
    OP

    Dave_Chad GBAtemp Regular

    Member
    216
    37
    Jun 29, 2016
    I'm wondering what card exactly I would need and what firmware for a DSi XL on 1.4.5 firmware.

    I got hold of a couple of cards one was an r4i with 1.4.1 on it which didn't work for obvious reasons. The other was an R4i 3DS (www.r4i-sdhc.HK) the site was dead and couldn't find a firmware that would work.

    I'm not sure where is reliable to buy I want one in the UK!
     
  2. nxwing

    nxwing GBAtemp Addict

    Member
    2,007
    4,078
    Jul 22, 2013
    Philippines
    The Capital
    The one from http://r4ids.cn/ is what most of us would recommend. It's available kn nds card
     
  3. ChaoticGamer

    ChaoticGamer Member

    Newcomer
    36
    4
    Jun 13, 2016
    United States
    Earth
    The one from http://www.r4i-sdhc.com/ worked perfectly on my DSI XL that has 1.4.5 firmware...

    It mostly depends on what features you want the flashcart to have.
     
  4. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,120
    647
    Oct 22, 2011
    Gambia, The
    Sorry, but the card from r4i-sdhc.com is bullshit. It works but it's bullshit compared to the r4i gold 3ds rts (r4ids.cn).
     
  5. Mikemk

    Mikemk GBAtemp Advanced Maniac

    Member
    1,557
    555
    Mar 26, 2015
    United States
    I also recommend the r4ids.cn card.

    If you want to run roms in DSi mode, you'll need the CycloDS iEvolution. It's hard to find though and expensive.

    If you wish to run GBA or SNES games, you'll need the DSTwo. I recommend the DSTwo+, since it's the same price and has (slightly) improved hardware and (outdated) extra features.

    EDIT: DSTwo is what I use on my 3DS, but it's more than double the price of the r4i
     
    Last edited by Mikemk, Jul 3, 2016